For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTClone a Group
      • POSTCreate a group
      • DELDelete a group
      • PATCHEdit a group
      • GETReturn list of groups
LogoLogo
SupportDeel Home
EndpointsGroups

Clone a Group

POST
/groups/:id/clone
POST
/rest/v2/groups/:id/clone
$curl -X POST https://api.letsdeel.com/rest/v2/groups/9e12eb6b-90ea-4543-8ff1-7789e7b8db7e/clone \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "data": {
> "name": "Walmart"
> }
>}'
1{
2 "data": {
3 "id": "9e12eb6b-90ea-4543-8ff1-7789e7b8db7e",
4 "name": "Walmart",
5 "created_at": "2024-03-07T11:42:22.342Z",
6 "updated_at": "2024-03-07T11:42:22.342Z",
7 "external_metadata": "{'showInReport': 'true'}"
8 }
9}

Creates a new group by copying the structure and settings of an existing group. The cloned group is independent of the source after creation. Token scopes: groups:write

Was this page helpful?
Previous

Create a group

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequiredformat: "uuid"
Unique identifier of the group to be cloned.

Request

This endpoint expects an object.
dataobjectRequired

Response

Group cloned successfully
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication